package com.bonus.common.biz.enums;

import lombok.Getter;

/**
 * @author : 阮世耀
 * @version : 1.0
 * @PackagePath: com.bonus.common.biz.enums
 * @CreateTime: 2024-12-19  09:57
 * @Description: 二维码标准型状态枚举
 */
@Getter
public enum QrBoxStatusEnum {

    QR_BOX_STATUS_WAIT_CREATE(0, "待创建"),
    QR_BOX_STATUS_WAIT_BIND(1, "待录入"),
    QR_BOX_STATUS_WAIT_TRANSFER(2, "待移交"),
    QR_BOX_STATUS_WAIT_RECEIVE(3, "待接收"),
    QR_BOX_STATUS_ON_RECEIVE(4, "已接收"),
    QR_BOX_STATUS_REJECT(5, "移交被驳回");



    private final Integer status;
    private final String statusName;

    QrBoxStatusEnum(Integer status, String statusName) {
        this.status = status;
        this.statusName = statusName;
    }
}
